package com.muyu.data.source.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 接入类型对象 AccessType
 *
 * @author DeKangLiu
 * on 2024/4/21
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("access_type")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "AccessType", description = "接入类型")
public class AccessType extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 接入类型id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "接入类型id", value = "接入类型id")
    private Long id;

    /** 接入源名称 */
    @Excel(name = "接入类型名称")
    @ApiModelProperty(name = "接入类型名称", value = "接入类型名称")
    private String accessName;
}
