package com.muyu.data.source.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 数据源对象 data_source
 *
 * @author muyu
 * @date 2024-04-21
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DataSourceQueryReq", description = "数据源")
public class DataSourceQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 接入源名称 */
    @ApiModelProperty(name = "接入源名称", value = "接入源名称")
    private String accessSourceName;

    /** 数据来源系统名称 */
    @ApiModelProperty(name = "数据来源系统名称", value = "数据来源系统名称")
    private String dataSourceSystemName;

    /** 主机地址 */
    @ApiModelProperty(name = "主机地址", value = "主机地址")
    private String hostAddress;

    /** 主机端口 */
    @ApiModelProperty(name = "主机端口", value = "主机端口")
    private String hostPort;

    /** 数据连接类型ID */
    @ApiModelProperty(name = "数据连接类型ID", value = "数据连接类型ID")
    private Long dataAccessTypeId;

    /** 数据库名称 */
    @ApiModelProperty(name = "数据库名称", value = "数据库名称")
    private String databaseName;

    /** 数据连接参数 */
    @ApiModelProperty(name = "数据连接参数", value = "数据连接参数")
    private String dataConnectionParameter;

    /** 初始连接数量 */
    @ApiModelProperty(name = "初始连接数量", value = "初始连接数量")
    private String initialQuantity;

    /** 最大连接数量 */
    @ApiModelProperty(name = "最大连接数量", value = "最大连接数量")
    private String maximumQuantity;

    /** 最大等待时间 */
    @ApiModelProperty(name = "最大等待时间", value = "最大等待时间")
    private Long maximumTime;

    /** 最大等待次数 */
    @ApiModelProperty(name = "最大等待次数", value = "最大等待次数")
    private String maximumFrequency;

}
