package com.muyu.data.source.service;

import java.util.List;

import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.AccessType;
import com.muyu.data.source.domain.DataSource;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.data.source.domain.req.DataSourceSaveReq;

/**
 * 数据源Service接口
 *
 * @author muyu
 * @date 2024-04-21
 */
public interface DataSourceService extends IService<DataSource> {
    /**
     * 查询数据源列表
     *
     * @param dataSource 数据源
     * @return 数据源集合
     */
    public List<DataSource> list(DataSource dataSource);

    List<AccessType> findAccessType();

    Result testConnection(DataSourceSaveReq dataSourceQueryReq);
}
